package com.fjhx.sale.service.sample;

import com.fjhx.sale.entity.sample.dto.SampleShipmentDto;
import com.fjhx.sale.entity.sample.dto.SampleShipmentSelectDto;
import com.fjhx.sale.entity.sample.po.SampleShipment;
import com.fjhx.sale.entity.sample.vo.SampleShipmentVo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;


/**
 * <p>
 * 样品单-出货计划 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-05
 */
public interface SampleShipmentService extends BaseService<SampleShipment> {

    /**
     * 样品单-出货计划分页
     */
    Page<SampleShipmentVo> getPage(SampleShipmentSelectDto dto);

    /**
     * 样品单-出货计划明细
     */
    SampleShipmentVo detail(Long id);

    /**
     * 样品单-出货计划新增
     */
    void add(SampleShipmentDto sampleShipmentDto);

    /**
     * 样品单-出货计划编辑
     */
    void edit(SampleShipmentDto sampleShipmentDto);

    /**
     * 样品单-出货计划删除
     */
    void delete(Long id);

}
